Bug 567028

Summary: Review Request: lv2-ll-plugins - Collection of LV2 plugins
Product: [Fedora] Fedora Reporter: Orcan Ogetbil <oget.fedora>
Component: Package ReviewAssignee: David Cornette <rpm>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bloch, fedora-package-review, notting, rpm
Target Milestone: ---Flags: rpm: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: lv2-ll-plugins-0.2.8-4.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-09-23 04:55:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 537363    
Bug Blocks:    

Description Orcan Ogetbil 2010-02-21 07:21:17 UTC
Spec URL: http://oget.fedorapeople.org/review/lv2-ll-plugins.spec
SRPM URL: http://oget.fedorapeople.org/review/lv2-ll-plugins-0.2.8-1.fc12.src.rpm
Description: 
lv2-ll-plugins is a small collection of LV2 plugins, including an arpeggiator,
a MIDI keyboard, a drum-machine, a peak meter; and a host that runs them.

Comment 1 Orcan Ogetbil 2010-02-21 21:24:31 UTC
Spec URL: http://oget.fedorapeople.org/review/lv2-ll-plugins.spec
SRPM URL:
http://oget.fedorapeople.org/review/lv2-ll-plugins-0.2.8-2.fc12.src.rpm

Change:
- BR: lv2-c++-tools-static instead of devel

Comment 2 David Cornette 2010-05-19 03:24:26 UTC
I'll review this once its dependency is closed.

Comment 3 Orcan Ogetbil 2010-07-25 19:42:41 UTC
Hello, are you still reviewing this? If not, let's set the "Assigned To" to null. Thanks.

Comment 4 David Cornette 2010-07-26 04:52:04 UTC
I have started to take a look at this package, and I am unable to get it to build in mock.  It looks like it may be missing some BuildRequires.  It looks like you need to add lv2core-devel and boost-devel.

I tried building it outside of mock, where I already have those two packages installed, and got this error, which if I am not mistaken is a common one on F13:

/usr/bin/ld: programs/elven/lv2host.o: undefined reference to symbol 'dlclose@@GLIBC_2.2.5'
/usr/bin/ld: note: 'dlclose@@GLIBC_2.2.5' is defined in DSO /lib64/libdl.so.2 so try adding it to the linker command line
/lib64/libdl.so.2: could not read symbols: Invalid operation

Comment 5 Orcan Ogetbil 2010-07-27 04:57:35 UTC
Apparently, I never built this on mock, because when I prepared it for review, lv2-c++-tools was not in the repos. I added the missing BRs.

The DSO error is something that came with F-13. From F-13 on, Fedora does not allow indirect linking to libraries. So I added the missing link.

Thanks for the warnings.

SPEC: http://oget.fedorapeople.org/review/lv2-ll-plugins.spec
SRPM: http://oget.fedorapeople.org/review/lv2-ll-plugins-0.2.8-3.fc13.src.rpm

Comment 6 Orcan Ogetbil 2010-07-28 06:41:28 UTC
Hello, slightly off-topic but,
I just wanted to warn you that I rebuilt lv2-c++-tools against the new boost on rawhide. Since lv2-c++-tools contains a static library you need to rebuild lv2-EQ10Q-plugins against it. This is for rawhide only. Thanks.

Comment 7 David Cornette 2010-08-01 07:30:47 UTC
There are a few issues to address.

Here is the output of rpmlint:
lv2-ll-plugins.src: W: spelling-error %description -l en_US arpeggiator -> arpeggiate, arpeggio, appoggiatura
lv2-ll-plugins.src:39: W: configure-without-libdir-spec
lv2-ll-plugins.x86_64: W: spelling-error %description -l en_US arpeggiator -> arpeggiate, arpeggio, appoggiatura
lv2-ll-plugins.x86_64: W: no-manual-page-for-binary elven
/home/makerpm/rpmbuild/SPECS/lv2-ll-plugins.spec:39: W: configure-without-libdir-spec

Spelling is fine.  I suppose we could file a bug against the words package if we wanted to be helpful, but that isn't necessary.

You should email upstream about a man page.

I understand that configure isn't generated by autotools, but I am not sure
you couldn't specify libdir instead of specifying lv2plugindir.  It looks like
lv2plugindir will be set to $(libdir)/lv2 by default, so why not just set
libdir?  Am I missing something?

Since the elven package is capable of displaying some plugins with guis, should there be .desktop files for it to start the included gui plugins?

This package needs to Require: lv2core for directory ownership.

Comment 8 Orcan Ogetbil 2010-08-09 02:35:28 UTC
Hello, sorry I was too busy in the past week with the python-2.7 rebuilds for Fedora 14.

(In reply to comment #7)
> There are a few issues to address.
> 
> Here is the output of rpmlint:
> lv2-ll-plugins.src: W: spelling-error %description -l en_US arpeggiator ->
> arpeggiate, arpeggio, appoggiatura
> lv2-ll-plugins.src:39: W: configure-without-libdir-spec
> lv2-ll-plugins.x86_64: W: spelling-error %description -l en_US arpeggiator ->
> arpeggiate, arpeggio, appoggiatura
> lv2-ll-plugins.x86_64: W: no-manual-page-for-binary elven
> /home/makerpm/rpmbuild/SPECS/lv2-ll-plugins.spec:39: W:
> configure-without-libdir-spec
> 
> Spelling is fine.  I suppose we could file a bug against the words package if
> we wanted to be helpful, but that isn't necessary.
> 
> You should email upstream about a man page.
> 

I talked to upstream about elven. Apparently, elven became a separate project:
   http://gitorious.org/elven/elven

The next release of the ll plugins will not include elven. I should probably drop elven from our RPM. What do you think?

> I understand that configure isn't generated by autotools, but I am not sure
> you couldn't specify libdir instead of specifying lv2plugindir.  It looks like
> lv2plugindir will be set to $(libdir)/lv2 by default, so why not just set
> libdir?  Am I missing something?
> 

Well, we can do it either way. It really doesn't matter. This is more of a convention. I don't think this should be a blocker.

> Since the elven package is capable of displaying some plugins with guis, should
> there be .desktop files for it to start the included gui plugins?
> 

See above about dropping elven. But I don't think we should include a .desktop file. If we do, we need to supply a .desktop file for every lv2 plugin we ship. And this means that the elven package needs to be updated whenever some lv2-X-plugins package gets included in Fedora. This sounds impractical.

> This package needs to Require: lv2core for directory ownership.    

Ah good catch. I will add this.

Comment 9 David Cornette 2010-08-22 20:31:10 UTC
It sounds like a good idea to not package elven.  If it is a separate project now, that makes things a little tricky going forward.  You can imagine a user upgrade a plugin, and suddenly a program they have been using is gone.  Or this plugin package would have to require an elven package, even though many users have no need for it.

SO if you want to remove elven, and add the lv2core require, this should be good to go.

Comment 10 Orcan Ogetbil 2010-08-22 23:59:24 UTC
Alright

SPEC: http://oget.fedorapeople.org/review/lv2-ll-plugins.spec
SRPM: http://oget.fedorapeople.org/review/lv2-ll-plugins-0.2.8-4.fc13.src.rpm

changelog 0.2.8-4
- Add R: lv2core
- Don't build and package elven as it is now a separate project
- Remove BR: jack-audio-connection-kit-devel boost-devel

Comment 11 David Cornette 2010-08-25 07:10:10 UTC
Looks good.

APPROVED

Comment 12 Orcan Ogetbil 2010-09-02 06:47:04 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: lv2-ll-plugins
Short Description: Collection of LV2 plugins
Owners: oget
Branches: F-12 F-13 F-14
InitialCC:

Comment 13 Kevin Fenzi 2010-09-02 21:28:53 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2010-09-04 03:53:48 UTC
lv2-ll-plugins-0.2.8-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/lv2-ll-plugins-0.2.8-4.fc13

Comment 15 Fedora Update System 2010-09-04 03:54:08 UTC
lv2-ll-plugins-0.2.8-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lv2-ll-plugins-0.2.8-4.fc14

Comment 16 Fedora Update System 2010-09-04 03:54:14 UTC
lv2-ll-plugins-0.2.8-4.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/lv2-ll-plugins-0.2.8-4.fc12

Comment 17 Fedora Update System 2010-09-06 05:15:24 UTC
lv2-ll-plugins-0.2.8-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lv2-ll-plugins'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/lv2-ll-plugins-0.2.8-4.fc14

Comment 18 Fedora Update System 2010-09-23 04:55:05 UTC
lv2-ll-plugins-0.2.8-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-09-23 04:59:02 UTC
lv2-ll-plugins-0.2.8-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-09-23 12:32:56 UTC
lv2-ll-plugins-0.2.8-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.